Company Enrichment API
curl --request GET \
--url https://companyenrichment.abstractapi.com/v2import requests
url = "https://companyenrichment.abstractapi.com/v2"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://companyenrichment.abstractapi.com/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://companyenrichment.abstractapi.com/v2",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://companyenrichment.abstractapi.com/v2"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://companyenrichment.abstractapi.com/v2")
.asString();require 'uri'
require 'net/http'
url = URI("https://companyenrichment.abstractapi.com/v2")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"domain": "airbnb.com",
"company_name": "Airbnb",
"description": "Airbnb is a company that provides a wide array of accommodations for every type of traveler. With over 7 million vacation rentals and 2 million top-rated guest favorites across more than 220 countries and regions, Airbnb offers a unique and diverse selection of stays worldwide.",
"logo": "https://logo.abstractapi.com/cb6281618-c67a-5004-9c9b-29fc2245a4f7_-airbnb.png",
"year_founded": "2008",
"street_address": "888 Brannan Street",
"city": "San Francisco",
"state": "California",
"country": "United States",
"country_iso_code" : "US",
"postal_code" : "94103",
"latitude": 37.7719568,
"longitude": -122.4054484 ,
"sic_code": "87",
"naics_code": "54",
"industry": "Travel Services",
"employee_count": 6907,
"employee_range": "5K-10K",
"annual_revenue": "9917000000",
"revenue_range": "$1B-$10B",
"phone_numbers": ["+14155104027"],
"email_addresses" : ["support@airbnb.com"],
"type" : "public",
"ticker" : "ABNB",
"exchange" : "XNAS",
"global_ranking" : "7391",
"tags": ["Hospitality","Travel"],
"technologies" : ["Google Analytics","Javascript","Segment","Mixpanel","Branch","Salesforce","New Relic","Facebook Pixel"],
"linkedin_url" : "linkedin.com/company/airbnb",
"facebook_url" : "facebook.com/airbnb",
"twitter_url" : "twitter.com/airbnb",
"instagram_url" : "instagram.com/airbnb",
"crunchbase_url" : "crunchbase.com/organization/airbnb"
}
Popular APIs
Company Enrichment API
With Abstract’s Company Enrichment API, you can easily get detailed information about any company domain.
GET
/
v2
Company Enrichment API
curl --request GET \
--url https://companyenrichment.abstractapi.com/v2import requests
url = "https://companyenrichment.abstractapi.com/v2"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://companyenrichment.abstractapi.com/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://companyenrichment.abstractapi.com/v2",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://companyenrichment.abstractapi.com/v2"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://companyenrichment.abstractapi.com/v2")
.asString();require 'uri'
require 'net/http'
url = URI("https://companyenrichment.abstractapi.com/v2")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"domain": "airbnb.com",
"company_name": "Airbnb",
"description": "Airbnb is a company that provides a wide array of accommodations for every type of traveler. With over 7 million vacation rentals and 2 million top-rated guest favorites across more than 220 countries and regions, Airbnb offers a unique and diverse selection of stays worldwide.",
"logo": "https://logo.abstractapi.com/cb6281618-c67a-5004-9c9b-29fc2245a4f7_-airbnb.png",
"year_founded": "2008",
"street_address": "888 Brannan Street",
"city": "San Francisco",
"state": "California",
"country": "United States",
"country_iso_code" : "US",
"postal_code" : "94103",
"latitude": 37.7719568,
"longitude": -122.4054484 ,
"sic_code": "87",
"naics_code": "54",
"industry": "Travel Services",
"employee_count": 6907,
"employee_range": "5K-10K",
"annual_revenue": "9917000000",
"revenue_range": "$1B-$10B",
"phone_numbers": ["+14155104027"],
"email_addresses" : ["support@airbnb.com"],
"type" : "public",
"ticker" : "ABNB",
"exchange" : "XNAS",
"global_ranking" : "7391",
"tags": ["Hospitality","Travel"],
"technologies" : ["Google Analytics","Javascript","Segment","Mixpanel","Branch","Salesforce","New Relic","Facebook Pixel"],
"linkedin_url" : "linkedin.com/company/airbnb",
"facebook_url" : "facebook.com/airbnb",
"twitter_url" : "twitter.com/airbnb",
"instagram_url" : "instagram.com/airbnb",
"crunchbase_url" : "crunchbase.com/organization/airbnb"
}
It’s very simple to use: you are only required to send your unique
This was a successful request, so the company details associated with the domain are returned below:
api_key and the domain you want to enrich to get information about the company.
Getting started
REST
The Company Enrichment API, like all of Abstract’s APIs, is organized around REST. It is designed to use predictable, resource-oriented URLs and to use HTTP status codes to indicate errors.HTTPS
The Company Enrichment API requires all communications to be secured with TLS 1.2 or greater.API Versions
All of Abstract’s APIs are versioned. The Company Enrichment API is currently on Version 2.Your API Key
Your API key is your unique authentication key to be used to access Abstract’s Company Enrichment API. Note that each of Abstract’s APIs has a unique API key, so you will need different keys to access the Company Enrichment and Email Validation APIs, for example. To authenticate your requests, you will need to append your API key to the base URL.Base URL
https://companyenrichment.abstractapi.com/v2
Validation endpoint
Abstract’s Company Enrichment API simply requires your unique API key and the domain you’d like to enrich:https://companyenrichment.abstractapi.com/v2
? api_key = YOUR_UNIQUE_API_KEY
& domain = airbnb.com
{
"domain": "airbnb.com",
"company_name": "Airbnb",
"description": "Airbnb is a company that provides a wide array of accommodations for every type of traveler. With over 7 million vacation rentals and 2 million top-rated guest favorites across more than 220 countries and regions, Airbnb offers a unique and diverse selection of stays worldwide.",
"logo": "https://logo.abstractapi.com/cb6281618-c67a-5004-9c9b-29fc2245a4f7_-airbnb.png",
"year_founded": "2008",
"street_address": "888 Brannan Street",
"city": "San Francisco",
"state": "California",
"country": "United States",
"country_iso_code" : "US",
"postal_code" : "94103",
"latitude": 37.7719568,
"longitude": -122.4054484 ,
"sic_code": "87",
"naics_code": "54",
"industry": "Travel Services",
"employee_count": 6907,
"employee_range": "5K-10K",
"annual_revenue": "9917000000",
"revenue_range": "$1B-$10B",
"phone_numbers": ["+14155104027"],
"email_addresses" : ["support@airbnb.com"],
"type" : "public",
"ticker" : "ABNB",
"exchange" : "XNAS",
"global_ranking" : "7391",
"tags": ["Hospitality","Travel"],
"technologies" : ["Google Analytics","Javascript","Segment","Mixpanel","Branch","Salesforce","New Relic","Facebook Pixel"],
"linkedin_url" : "linkedin.com/company/airbnb",
"facebook_url" : "facebook.com/airbnb",
"twitter_url" : "twitter.com/airbnb",
"instagram_url" : "instagram.com/airbnb",
"crunchbase_url" : "crunchbase.com/organization/airbnb"
}
Request parameters
Your unique API key. Note that each user has unique API keys for each of
Abstract’s APIs, so your Company Enrichment API key will not work for your IP
Geolocation API, for example.
You can chose to only receive a few fields from the JSON response. To do so, you can include a fields value in the query parameters with a comma separated list of the top-level keys you want to be returned. For example, adding ?fields=domain will return only the domain in the JSON response.
Response parameters
The API response is returned in a universal and lightweight JSON format.Response and error codes
Whenever you make a request that fails for some reason, an error is returned in JSON format. The errors include an error code and description, which you can find detailed below.| Code | Type | Details |
|---|---|---|
| 200 | OK | Everything worked as expected. |
| 400 | Bad request | Bad request. |
| 401 | Unauthorized | The request was unacceptable. Typically due to the API key missing or incorrect. |
| 422 | Quota reached | The request was aborted due to insufficient API credits. (Free plans) |
| 429 | Too many requests | The request was aborted due to the number of allowed requests per second being reached. This happens on free plans as requests are limited to 1 per second. |
| 500 | Internal server error | The request could not be completed due to an error on the server side. |
| 503 | Service unavailable | The server was unavailable. |